Subject: Re: refactoring basebackup.c

From: tushar <[email-masked]>
Date: Wed, 5 Jan 2022 22:24:01 +0530

On Tue, Dec 28, 2021 at 1:12 PM Jeevan Ladhe <[email-masked]>
wrote:

> Hi Tushar,
>
> You need to apply Robert's v10 version patches 0002, 0003 and 0004, before
> applying the lz4 patch(v8 version).
> Please let me know if you still face any issues.
>

Thanks, Jeevan.
I tested —server-compression option using different other options of
pg_basebackup, also checked -t/—server-compression from pg_basebackup of
v15 will
throw an error if the server version is v14 or below. Things are looking
good to me.
Two open  issues -
1)lz4 value is missing for --server-compression in pg_basebackup --help
2)Error messages need to improve if using -t server with -z/-Z

regards,